Create a record
POST
/v1/models/{model}Path parameters
modelstringrequiredAny model in your pushed schema. `task` is the running example.
Request body
requiredapplication/jsonnumbernumber | anyShow propertiesHide properties
Any of:
number
numberany
anytitlestringdescriptionstring | anyShow propertiesHide properties
Any of:
string
stringany
anystatusstringdefault: "todo"
prioritystringdefault: "medium"
projectIdstring | anyShow propertiesHide properties
Any of:
string
stringany
anyteamIdstring | anyShow propertiesHide properties
Any of:
string
stringany
anychatIdstring | anyShow propertiesHide properties
Any of:
string
stringany
anyparentIdstring | anyShow propertiesHide properties
Any of:
string
stringany
anystartDatestring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyendDatestring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anydueDatestring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anycompletedAtstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyordernumberdefault: 0
orderKeystring | anyShow propertiesHide properties
Any of:
string
stringany
anymetadatastring | anyShow propertiesHide properties
Any of:
string
stringany
anyarchivedAtstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyupdatedBystring | anyShow propertiesHide properties
Any of:
string
stringany
anyResponses
200Commit receipt
objectstringrequiredclientTxIdstringrequiredserverTxIdstringrequiredsuccessbooleanrequiredstatusstringrequiredAllowed:
confirmedrejectedlastSyncIdintegeropsintegermissingIdsstring[]Ids of any UPDATE/DELETE that matched zero rows (omitted when nothing missed).
notificationsStaleNotification[]Held-write advisories from `onStale: "notify"`.
Show propertiesHide properties
Array of
StaleNotificationobjectstringmodelstringidstringreadAtintegerobservedSyncIdintegerconflictingFieldsstring[]currentValuesobjectwrittenBystringgroupstringerrorobjectShow propertiesHide properties
codestringmessagestringfieldstringrequiredCapabilityRequiredCapabilityOn a 403, the scope the caller was missing.
Show propertiesHide properties
canstringmodelstringsyncGroupstringRequest
curl -X POST "https://api.abloatai.com/api/v1/models/task" \
-H "Content-Type: application/json" \
-d '{
"number": 0,
"title": "string",
"description": "string",
"status": "todo",
"priority": "medium",
"projectId": "string",
"teamId": "string",
"chatId": "string",
"parentId": "string",
"startDate": "2024-01-01T00:00:00Z",
"endDate": "2024-01-01T00:00:00Z",
"dueDate": "2024-01-01T00:00:00Z",
"completedAt": "2024-01-01T00:00:00Z",
"order": 0,
"orderKey": "string",
"metadata": "string",
"archivedAt": "2024-01-01T00:00:00Z",
"updatedBy": "string"
}'const response = await fetch("https://api.abloatai.com/api/v1/models/task", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"number": 0,
"title": "string",
"description": "string",
"status": "todo",
"priority": "medium",
"projectId": "string",
"teamId": "string",
"chatId": "string",
"parentId": "string",
"startDate": "2024-01-01T00:00:00Z",
"endDate": "2024-01-01T00:00:00Z",
"dueDate": "2024-01-01T00:00:00Z",
"completedAt": "2024-01-01T00:00:00Z",
"order": 0,
"orderKey": "string",
"metadata": "string",
"archivedAt": "2024-01-01T00:00:00Z",
"updatedBy": "string"
})
});import requests
response = requests.post(
"https://api.abloatai.com/api/v1/models/task",
headers={
"Content-Type": "application/json"
},
json={
"number": 0,
"title": "string",
"description": "string",
"status": "todo",
"priority": "medium",
"projectId": "string",
"teamId": "string",
"chatId": "string",
"parentId": "string",
"startDate": "2024-01-01T00:00:00Z",
"endDate": "2024-01-01T00:00:00Z",
"dueDate": "2024-01-01T00:00:00Z",
"completedAt": "2024-01-01T00:00:00Z",
"order": 0,
"orderKey": "string",
"metadata": "string",
"archivedAt": "2024-01-01T00:00:00Z",
"updatedBy": "string"
},
)Response
{
"object": "commit_receipt",
"clientTxId": "string",
"serverTxId": "string",
"success": true,
"status": "confirmed",
"lastSyncId": 0,
"ops": 0,
"missingIds": [
"string"
],
"notifications": [
{
"object": "stale_notification",
"model": "string",
"id": "string",
"readAt": 0,
"observedSyncId": 0,
"conflictingFields": [
"string"
],
"currentValues": {},
"writtenBy": "string",
"group": "string"
}
],
"error": {
"code": "string",
"message": "string",
"field": "string",
"requiredCapability": {
"can": "string",
"model": "string",
"syncGroup": "string"
}
}
}